Subject: bug#71411: closed (Re: bug#71411: 30.0.50; Show Unicode names when describing translations)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Mar 2025 00:02:03 +0000

Your bug report

#71411: 30.0.50; Show Unicode names when describing translations

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71411: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71411
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71411: 30.0.50; Show Unicode names when describing translations
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 1 Mar 2025 16:01:42 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> I think this was installed, right?  Should the bug be closed?
>
> Yes, I think so.

Thanks, now done.

Subject: 30.0.50; Show Unicode names when describing translations
From: Robert Pluim <[email-masked]>
To: [email-masked]
Date: Fri, 07 Jun 2024 12:32:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

'C-x 8 RET' will show Unicode names when it shows completions, which
helps people find the complete name of the character they want to use.

I have a patch to do something similar for 'C-h k' and 'C-h b' (for
translated keys only), so youʼd get

'C-h k C-x 8 E' =>

    € 'EURO SIGN' (translated from C-x 8 E)

Since the purpose of this is to provide more information by default in
situations where people are searching for answers, I
donʼt think this needs a configuration variable, unlike the analogous
feaure in 'what-cursor-position'. (yes, people can hit 'C-u C-x =' in
the *Help* buffer, but first they have to know about that).

Patch to follow when I have the bug number.

Robert
--